package crawler_manager

import (
	"loafle.com/overflow/agent_api/observer"
	"loafle.com/overflow/agent_api/config_manager"
	"loafle.com/overflow/agent_api/observer/messages"

	"fmt"
)


func listenEvent() {

	go listenConfigLoaded();
	go listenAddSensor();
	go listenRemoveSensor();

}

func listenConfigLoaded() {

	ch := make(chan interface{}, 0)
	observer.Add(messages.CONFIGMANAGER_LOADED, ch)

	o := <-ch

	cm := o.(config_manager.ConfigManager)

	GetInstance().ConfigMgr = cm;

	SettingPath()

	GetInstance().init();



}

func listenAddSensor() {
	ch := make(chan interface{}, 0)
	observer.Add(messages.ADD_SENSOR_1, ch);

	o := <-ch

	str := o.(string)

	fmt.Println(str)

	GetInstance().addSensor(str)

}

func listenRemoveSensor() {

	ch := make(chan interface{}, 0)
	//observer.Add(messages.REMOVE_SENSOR_2_END, ch);

	o := <-ch

	str := o.(string)

	GetInstance().removeSensor(str)

}

